Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0044033
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] 03. Procurement managementminorhave not tried2020-05-11 18:532020-06-05 08:45
ReportershuehnerView Statuspublic 
Assigned ToAtulOpenbravo 
PrioritynormalResolutionfixedFixed in VersionPR20Q3
StatusclosedFix in branchFixed in SCM revision4802397f2979
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tovmromanos
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0044033: Review and probably remove unused RptC_OrderP java and jrxml files

DescriptionCurrent ERP code contains those files which appear to be (practically) unsued

src/org/openbravo/erpReports/RptC_OrderPO.java
src/org/openbravo/erpReports/RptC_OrderPO.jrxml
src/org/openbravo/erpReports/RptC_OrderPO_Lines.jrxml

Apart of the servlet being mapping to some URL there is not reference to them in the product codebase.

However:
- QA_Testing sampledata ships a c_doctype + c_doctype_template referencing it
- Then the c_doctype_id of this sampledata 'FF8080812C2ABFC6012C2B3BDF51006E' is being referenced from sourcecode inside pi
Who: platform
  - src/org/openbravo/erpCommon/ad_forms/RequisitionToOrder_data.xsql
  - src-test/src/org/openbravo/test/copyLinesFromOrders/data/CLFOTestConstants.java

The reference in src/ itself seems wrong, as without the specific QA_Testing sampledata that uuid will not exist.

The src-test reference maybe intentional but if the rest of the files is unused probably the test should be modified to avoid having to keep the whole implementation just for the test-case.

Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on defect 0044117 closedAtulOpenbravo API Change: Remove obsolete OrderPO Print process 
related to defect 0044310 closedAtulOpenbravo Avoid hard code value for Doc Type ID parameter when calling DB function m_get_default_aum_for_document 
blocks feature request 0023745 closedSandrahuguet New printable jrxml form for orders, invoices goods shipment and goods receipt 
blocks design defect 0032688 acknowledgedplatform remove unused resources 

-  Notes
(0120551)
hgbot (developer)
2020-06-03 03:52

Repository: erp/pmods/org.openbravo.retail.sampledata
Changeset: ac66fda7ca71d81256a8aa2cfded9dbece5679dd
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Mon Jun 01 09:28:57 2020 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.sampledata/rev/ac66fda7ca71d81256a8aa2cfded9dbece5679dd [^]

Related To BUG-44033:Remove references of obsolete OrderPO Print
process in AD_PROCESS_ACCESS from The White Valley Group client

---
M referencedata/sampledata/The_White_Valley_Group/AD_PROCESS_ACCESS.xml
---
(0120552)
hgbot (developer)
2020-06-03 03:54

Repository: erp/pmods/org.openbravo.retail.testsampledata
Changeset: 98cf8bd57b381905ea5a0671f60a27e8ef60ad27
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Mon Jun 01 09:29:31 2020 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.testsampledata/rev/98cf8bd57b381905ea5a0671f60a27e8ef60ad27 [^]

Related To BUG-44033:Remove references of obsolete OrderPO Print
process in AD_PROCESS_ACCESS from Retail Test Client

---
M referencedata/sampledata/Retail_Test/AD_PROCESS_ACCESS.xml
---
(0120553)
hgbot (developer)
2020-06-03 03:55

Repository: erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations.sampledata
Changeset: 5815812b2919266a4628f33338bc251d6d14fab8
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Mon Jun 01 09:31:33 2020 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations.sampledata/rev/5815812b2919266a4628f33338bc251d6d14fab8 [^]

Related To BUG-44033:Remove references of obsolete OrderPO Print
process in AD_PROCESS_ACCESS from AWO QA Client

---
M referencedata/sampledata/AWO_QA/AD_PROCESS_ACCESS.xml
---
(0120554)
hgbot (developer)
2020-06-03 03:56

Repository: erp/devel/pi
Changeset: 4802397f297940df27a7ac2f95ff46c6283d0333
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Mon Jun 01 08:02:57 2020 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/4802397f297940df27a7ac2f95ff46c6283d0333 [^]

Fixes BUG-44033:Removed unused RptC_OrderP java & jrxml files

**Removed references from AD_PROCESS, AD_MODEL_OBJECT,
AD_MODEL_OBJECT_MAPPING and AD_TEXTINTERFACES
**Removed references from AD_PROCESS_ACCESS in
F&B International Group and QA Testing client
**Remove Java class RptC_OrderPO, JRXML templates
RptC_OrderPO.jrxml, RptC_OrderPO_Lines.jrxml
**Template RptC_OrderPO.jrxml used in QA Testing
sample data in C_POC_DOCTYPE_TEMPLATE for Purchase
Order Document Type is replaced with C_OrderJR_new.jrxml
similar to that in F&B International Group client
document type for Purchase Order.
**Removed hard coded values of document type ID
in selectAUMDefault method of RequisitionToOrder_data
xsql, modified method to consider document type with
docbasetype POO for context client and organization.

---
M referencedata/sampledata/F_B_International_Group/AD_PROCESS_ACCESS.xml
M referencedata/sampledata/QA_Testing/AD_PROCESS_ACCESS.xml
M referencedata/sampledata/QA_Testing/C_POC_DOCTYPE_TEMPLATE.xml
M src-db/database/sourcedata/AD_MODEL_OBJECT.xml
M src-db/database/sourcedata/AD_MODEL_OBJECT_MAPPING.xml
M src-db/database/sourcedata/AD_PROCESS.xml
M src-db/database/sourcedata/AD_TEXTINTERFACES.xml
M src/org/openbravo/erpCommon/ad_forms/RequisitionToOrder.java
M src/org/openbravo/erpCommon/ad_forms/RequisitionToOrder_data.xsql
R src/org/openbravo/erpReports/RptC_OrderPO.java
R src/org/openbravo/erpReports/RptC_OrderPO.jrxml
R src/org/openbravo/erpReports/RptC_OrderPO_Lines.jrxml
---
(0120684)
vmromanos (developer)
2020-06-05 08:45

Code review OK

- Issue History
Date Modified Username Field Change
2020-05-11 18:53 shuehner New Issue
2020-05-11 18:53 shuehner Assigned To => Triage Finance
2020-05-11 18:53 shuehner Modules => Core
2020-05-11 18:53 shuehner Triggers an Emergency Pack => No
2020-05-11 18:54 shuehner Relationship added blocks 0023745
2020-05-15 19:06 AtulOpenbravo Status new => scheduled
2020-05-15 19:06 AtulOpenbravo Assigned To Triage Finance => AtulOpenbravo
2020-05-20 08:49 AtulOpenbravo Relationship added depends on 0044117
2020-06-03 03:52 hgbot Checkin
2020-06-03 03:52 hgbot Note Added: 0120551
2020-06-03 03:54 hgbot Checkin
2020-06-03 03:54 hgbot Note Added: 0120552
2020-06-03 03:55 hgbot Checkin
2020-06-03 03:55 hgbot Note Added: 0120553
2020-06-03 03:56 hgbot Checkin
2020-06-03 03:56 hgbot Note Added: 0120554
2020-06-03 03:56 hgbot Status scheduled => resolved
2020-06-03 03:56 hgbot Resolution open => fixed
2020-06-03 03:56 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/4802397f297940df27a7ac2f95ff46c6283d0333 [^]
2020-06-03 09:42 shuehner Relationship added blocks 0032688
2020-06-05 08:45 vmromanos Review Assigned To => vmromanos
2020-06-05 08:45 vmromanos Note Added: 0120684
2020-06-05 08:45 vmromanos Status resolved => closed
2020-06-05 08:45 vmromanos Fixed in Version => 3.0PR20Q3
2020-06-08 22:06 AtulOpenbravo Relationship added related to 0044310


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker